Yes that is correct.

On Aug 4, 2006, at 3:09 PM, Lin Sun wrote:

This is cool and greatly simplify things.   So let me make sure I understand,

 

I’ll need WTP 1.5.1 to work with your fix (devtools 93).   WTP 1.5.1 is required for both build time and run time.   Is this correct?

 

TIA, Lin

 


From: Sachin Patel [mailto:sppatel@gmail.com] On Behalf Of Sachin Patel
Sent: Thursday, August 03, 2006 4:28 PM
To: user@geronimo.apache.org
Subject: Re: Use a different repo.

 

This Mojo shouldn't be used and will be removing it in trunk.  I just changed the installable runtime extension point in wtp (available in 1.5.1 builds).  So you now no longer have to wrap the entire runtime binary inside a plugin.  And you installable runtime feature would simply contain a single data entry instead of the plugin entry.  Then in your update site (site.xml) you map the data entry to whatever url your runtime is located at.

 

See the installableRuntime extension point defintion in WTP 1.5.1 driver for an example.

 

On Aug 3, 2006, at 3:22 PM, Lin Sun wrote:



Hi Sachin,

 

I’d like to use my own repo (siteRoot below) to get the server image.

 

* @goal getg

 */

public class GetGMojo extends AbstractMojo {

 

             /**

              * @parameter expression="http://www.apache.org/dist/geronimo"

              */

             private URL siteRoot;

 

Is there a better way to do it other than update the value of expression in GetGMojo.java?

 

Thanks, Lin

 



 

 

-sachin



 




-sachin